Messaging Configs

List Messaging Configs

GET
/v1/MessagingConfigs

Gets the list of all Messaging Configs. This method supports pagination.

AuthorizationBasic <token>

Basic Authorization header using the BASIC scheme. Use a pair companySid:token to access the API.

In: header

Query Parameters

PageSize?integer
Formatint32
Range1 <= value <= 10000
OrderByDirection?string

Possible values:

  • Ascending

  • Descending

Value in

  • "Ascending"
  • "Descending"
SearchId?string

Response Body

curl -X GET "https://example.com/v1/MessagingConfigs"
{  "items": [    {      "tcrCampaign": {        "id": "C123ABC",        "name": "Customer care campaign"      },      "sid": "MCf4f1e0ccde19431ebde74a9f2996afa0",      "createdOn": "2023-09-09T15:00:00.000Z",      "outboundCallbackUrl": "https://example.com/outboundMessage?source=telgorithm",      "inboundCallbackUrl": "https://example.com/inboundMessage?source=telgorithm",      "optInOutCallbackUrl": "string",      "tcrCampaignId": "C123ABC",      "name": "I am messaging config",      "authorizationBearer": "MySecretToken123",      "sendingTimes": {        "timeZoneId": "America/Los_Angeles",        "periods": [          {            "from": "09:30:00",            "to": "19:00:00"          }        ]      },      "optInOutSettings": {        "optInKeywords": [          "START",          "UNSTOP",          "SUBSCRIBE",          "CONTINUE"        ],        "optOutKeywords": [          "STOP",          "QUIT",          "END",          "UNSUBSCRIBE",          "EXIT",          "STOPNOW"        ],        "helpKeywords": [          "HELP",          "INFO"        ],        "optInMessage": "You are subscribed to messages from this sender. Msg frequency varies. Reply HELP for help or STOP to unsubscribe. Msg & data rates may apply.",        "optOutMessage": "You are unsubscribed. You will no longer receive messages from this sender. Reply START to resubscribe. Msg & data rates may apply.",        "helpMessage": "Reply STOP to unsubscribe. Msg & data rates may apply."      }    }  ],  "searchId": "string"}
{  "errors": {    "Name": [      "The Name field is required."    ]  },  "type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",  "title": "One or more validation errors occurred.",  "status": 400,  "detail": "Some detailed message",  "traceId": "|4ef17786-b103-420e-89c0-cc425ac14809.edfcbee9_"}